Page MenuHomePhabricator

/page/media endpoint fails for a specific case on enwp: "Cannot read property '0' of undefined"
Closed, ResolvedPublic

Description

The following API request to the /page/media endpoint fails with a weird error that is not so self explanatory.

https://en.wikipedia.org/api/rest_v1/page/media/A._P._J._Abdul_Kalam

{
  "type": "https://mediawiki.org/wiki/HyperSwitch/errors/internal_error",
  "title": "TypeError",
  "method": "GET",
  "detail": "Cannot read property '0' of undefined",
  "uri": "/en.wikipedia.org/v1/page/media/A._P._J._Abdul_Kalam/"
}

BTW, the link for the type property seems to be pretty odd and moreover it seems broken too.

Event Timeline

Kaartic created this task.May 7 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 5:23 PM
Aklapper renamed this task from The /page/media endpoint fails for a specific case for an unknown reason to /page/media endpoint fails for a specific case on enwp: "Cannot read property '0' of undefined".May 8 2018, 10:37 AM

Change 432381 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Media: Fix title decoding bug for pronunciation files

https://gerrit.wikimedia.org/r/432381

Change 432381 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Media: Fix title decoding bug for pronunciation files

https://gerrit.wikimedia.org/r/432381

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-05-14T20:01:57Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@ccffa6b]: Update mobileapps to 39c16e4 (T193440 T193439 T194065)

Mentioned in SAL (#wikimedia-operations) [2018-05-14T20:09:46Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@ccffa6b]: Update mobileapps to 39c16e4 (T193440 T193439 T194065) (duration: 07m 49s)

bearND closed this task as Resolved.May 14 2018, 8:54 PM
Vvjjkkii renamed this task from /page/media endpoint fails for a specific case on enwp: "Cannot read property '0' of undefined" to mgdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Mholloway as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Mholloway; removed: gerritbot, Aklapper.
bearND closed this task as Resolved.Jul 1 2018, 4:45 AM
bearND raised the priority of this task from High to Needs Triage.
bearND updated the task description. (Show Details)
bearND added a subscriber: Aklapper.
bearND renamed this task from mgdaaaaaaa to /page/media endpoint fails for a specific case on enwp: "Cannot read property '0' of undefined".Jul 1 2018, 4:51 AM
bearND assigned this task to Mholloway.